import { XMPPService } from "./connection/XMPPService";
import { RESTService } from "./connection/RESTService";
import { HTTPService } from "./connection/HttpService";
import { ImsService } from "./services/ImsService";
import { PresenceService } from "./services/PresenceService";
import { ChannelsService } from "./services/ChannelsService";
import { ContactsService } from "./services/ContactsService";
import { ConversationsService } from "./services/ConversationsService";
import { ProfilesService } from "./services/ProfilesService";
import { TelephonyService } from "./services/TelephonyService";
import { BubblesService } from "./services/BubblesService";
import { GroupsService } from "./services/GroupsService";
import { AdminService } from "./services/AdminService";
import { SettingsService } from "./services/SettingsService";
import { FileServerService } from "./services/FileServerService";
import { FileStorageService } from "./services/FileStorageService";
import { SDKSTATUSENUM, StateManager } from "./common/StateManager";
import { CallLogService } from "./services/CallLogService";
import { FavoritesService } from "./services/FavoritesService";
import { InvitationsService } from "./services/InvitationsService";
import { Events } from "./common/Events";
import { ProxyImpl } from "./ProxyImpl";
import { AlertsService } from "./services/AlertsService";
import { S2SService } from "./services/S2SService";
import { WebinarsService } from "./services/WebinarsService";
import { RBVoiceService } from "./services/RBVoiceService";
import { HTTPoverXMPP } from "./services/HTTPoverXMPPService";
import { TimeOutManager } from "./common/TimeOutManager";
export {};
import { RPCoverXMPPService } from "./services/RPCoverXMPPService.js";
import { LevelLogs } from "./common/LevelLogs.js";
import { TasksService } from "./services/TasksService";
declare class Core extends LevelLogs {
    get timeOutManager(): TimeOutManager;
    set timeOutManager(value: TimeOutManager);
    _logger: any;
    _rest: RESTService;
    _eventEmitter: Events;
    options: any;
    _proxy: ProxyImpl;
    _http: HTTPService;
    _xmpp: XMPPService;
    _stateManager: StateManager;
    _im: ImsService;
    _presence: PresenceService;
    _channels: ChannelsService;
    _contacts: ContactsService;
    _conversations: ConversationsService;
    _profiles: ProfilesService;
    _telephony: TelephonyService;
    _bubbles: BubblesService;
    _groups: GroupsService;
    _admin: AdminService;
    _settings: SettingsService;
    _fileServer: FileServerService;
    _fileStorage: FileStorageService;
    _calllog: CallLogService;
    _favorites: FavoritesService;
    _alerts: AlertsService;
    _webinars: WebinarsService;
    _rbvoice: RBVoiceService;
    _invitations: InvitationsService;
    _tasks: TasksService;
    _httpoverxmpp: HTTPoverXMPP;
    _rpcoverxmpp: RPCoverXMPPService;
    _botsjid: any;
    _s2s: S2SService;
    _Utils: any;
    cleanningClassIntervalID: NodeJS.Timeout;
    private _timeOutManager;
    private _signinmethodName;
    private lastConnectedOptions;
    startDate: Date;
    static getClassName(): string;
    getClassName(): string;
    static getAccessorName(): string;
    getAccessorName(): string;
    constructor(options: any);
    getDurationSinceStart(label: string): number;
    _signin(forceStopXMPP: any, token: any): Promise<unknown>;
    _signinWSOnly(forceStopXMPP: any, token: any, userInfos: any): Promise<unknown>;
    _retrieveInformation(): Promise<unknown>;
    setRenewedToken(strToken: string): Promise<void>;
    setCredentialPassword(strPassword: string): Promise<void>;
    onTokenRenewed(): void;
    onTokenExpired(): void;
    _tokenSurvey(): void;
    startCleanningInterval(): void;
    start(token: any): Promise<unknown>;
    signin(forceStopXMPP: any, token: any): Promise<unknown>;
    signinWSOnly(forceStopXMPP: any, token: any, userInfos: any): Promise<unknown>;
    stop(): Promise<unknown>;
    getConnectionStatus(): Promise<{
        serviceStatus: any;
        restStatus: boolean;
        xmppStatus: boolean;
        s2sStatus: boolean;
        state: SDKSTATUSENUM;
        nbHttpAdded: number;
        httpQueueSize: number;
        nbRunningReq: number;
        maxSimultaneousRequests: number;
        nbReqInQueue: number;
    }>;
    get settings(): SettingsService;
    get presence(): PresenceService;
    get profiles(): ProfilesService;
    get im(): ImsService;
    get invitations(): InvitationsService;
    get contacts(): ContactsService;
    get conversations(): ConversationsService;
    get channels(): ChannelsService;
    get bubbles(): BubblesService;
    get groups(): GroupsService;
    get admin(): AdminService;
    get fileServer(): FileServerService;
    get fileStorage(): FileStorageService;
    get events(): Events;
    get rest(): RESTService;
    get state(): any;
    get version(): any;
    get telephony(): TelephonyService;
    get calllog(): CallLogService;
    get tasks(): TasksService;
    get Utils(): any;
}
export { Core };
